I'm looking for someone with a Blackberry device.  It needs to be on 5.0 OS version.  I need to test to see if I can reproduce some problems with e-mail supported worksteps with the Blackberry e-mail client.

Device: BlackBerry Curve 8520
Operative System:  5.0.0.1036

Thanks,

Nathan